View Issue Details

IDProjectCategoryView StatusLast Update
0000199Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:19
ReporterdingsdaAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version3.0Fixed in Version3.0 
Summary0000199: DIServiceManager soll auch aus nicht ini-dateien die Konfiguration lesen können
DescriptionAktuell ist es so, dass das ini-format für seine serviceobjects nutzen muss.

es sollte aber auch möglich sein die konfigurationen z.b. im json oder xml-format angeben zu können. Da solche Formate auch nicht-flache konfiguration erlauben sollte es eigentlich kein problem sein, den DIServiceManager dahingehend zu erweitern.

eine statische property
   private static $CONFIGURATION_EXTENSION = 'ini';
und entsprechende statische getter- und settermethoden dürften doch eigentlich schon ausreichen.

kanns übernehmen, wenn nichts gegen spricht

Tagsconfiguration, di-container, service
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

jwlighting

2014-06-01 17:22

administrator   ~0000368

Hallo Amily (?),

afaik ist der ConfigurationManager schon mit weiteren Providern ausgestattet, für XML, JSON, APC, Datenbank, Memcache. Warum geht das für die Services bisher noch nicht?

Von meiner sSeite spricht da nichts gegen, ich fände es sogar sehr sinnvoll.

Gruß
Jan

dingsda

2014-06-01 19:05

developer   ~0000370

es liegt eigentlich auch nur daran, dass im DIServiceManager hard gecoded drinsteht, dass er in der datei serviceobjects.ini die serviceobjects findet.

wenn man sich mal andere klassen ansieht, so ist das auch dort oft der fall. z.b. der ConnectionManager, Pager, UmgtManager, Frontcontroller usw.
fast alle suchen ihre Konfiguration in einer ini-datei.
lediglich dem GORM kann man die Konfigurationsdateiendung mitgeben.

das issue sollte man daher vielleicht sogar ausweiten, dass es für alle diese klassen möglich sein soll die konfigurationsdateiendung zu ändern, sofern die benögte konfiguration denn auch in anderen Formaten möglich ist. hab mich bisher nur mit dem ini- und json-Format beschäftigt und weiß daher nicht so ganz, ob auch alle anderen Formate die selben möglichkeiten bieten oder ob manche einschränkungen haben.

jwlighting

2014-06-02 11:48

administrator   ~0000371

Dann bitte nochmal abwarten und mit Christian diskutieren. Ein APF-DEV-Chat wär dazu natürlich optimal...

ChristianAchatz

2015-03-17 18:59

administrator   ~0000555

Implementierung und Dokumentation für den DIServiceManager für 3.0 erledigt.

Issue History

Date Modified Username Field Change
2014-05-30 16:09 dingsda New Issue
2014-05-30 16:09 dingsda Status new => assigned
2014-05-30 16:09 dingsda Assigned To => dingsda
2014-05-31 00:31 dingsda Product Version 2.1 => 2.0
2014-06-01 17:22 jwlighting Note Added: 0000368
2014-06-01 17:40 jwlighting Tag Attached: configuration
2014-06-01 17:40 jwlighting Tag Attached: di-container
2014-06-01 17:40 jwlighting Tag Attached: service
2014-06-01 19:05 dingsda Note Added: 0000370
2014-06-02 11:48 jwlighting Note Added: 0000371
2015-03-16 22:16 ChristianAchatz Assigned To dingsda => ChristianAchatz
2015-03-17 18:59 ChristianAchatz Note Added: 0000555
2015-03-17 18:59 ChristianAchatz Status assigned => resolved
2015-03-17 18:59 ChristianAchatz Fixed in Version => 3.0
2015-03-17 18:59 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed